## org.python.core
Class FileUtil

    java.lang.Object
      org.python.core.FileUtil

    public class FileUtil

extends java.lang.Object

Utility methods for Java file handling.

Constructor Summary
`FileUtil()`

Method Summary
`static byte[]` `readBytes(java.io.InputStream in)` Read all bytes from the input stream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtil

    public FileUtil()

Method Detail

### readBytes

    public static byte[] readBytes(java.io.InputStream in)
                            throws java.io.IOException

  Read all bytes from the input stream.

  Note that using this method to read very large streams could cause out-of-memory exceptions and/or block for large periods of time.

  Throws:
    `java.io.IOException`

Jython homepage